{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{list_object.name}}</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ list_object.name }}</h1>
            <p>
                <p><a href="{% url "edit_todo_list" list_object.id %}">Edit</a></p>
                <p><a href="{% url "delete_todo_list" list_object.id %}">Delete</a></p>
            </p>
            <h2>Tasks</h2>
            <div>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in list_object.items.all %}
                        <tr>
                            <td><a href="{% url "edit_todo_item" item.id %}">{{ item.task }}</a></td>
                            <td>{{ item.due_date|date:"M j,  Y" }}</td>
                            <td>{{ item.is_completed }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </main>
</body>
</html>
